Debian Bug report logs - #640782
[mergechanges] checksums end up mixed in with Changes

version graph

Package: devscripts; Maintainer for devscripts is Devscripts Devel Team <devscripts-devel@lists.alioth.debian.org>; Source for devscripts is src:devscripts.

Reported by: Raphael Hertzog <hertzog@debian.org>

Date: Wed, 7 Sep 2011 09:21:18 UTC

Severity: normal

Found in version devscripts/2.11.1

Fixed in version devscripts/2.11.2

Done: James McCoy <jamessan@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Devscripts Devel Team <pkg-devscripts@teams.debian.net>:
Bug#640782; Package devscripts. (Wed, 07 Sep 2011 09:21:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
New Bug report received and forwarded. Copy sent to Devscripts Devel Team <pkg-devscripts@teams.debian.net>. (Wed, 07 Sep 2011 09:21:25 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: submit@bugs.debian.org
Subject: mergechanges: is adding some checksums to the Changes field
Date: Wed, 7 Sep 2011 11:20:13 +0200
[Message part 1 (text/plain, inline)]
Package: devscripts
Version: 2.11.1

I have been doing a simple "mergechanges -f
nautilus-dropbox_0.6.9-1_{i386,amd64}.changes" and the resulting
changes files (also attached) contains unexpected checksums in
the Changes field.

Cheers,

-- Package-specific info:

--- /etc/devscripts.conf ---

--- ~/.devscripts ---
DEBRELEASE_UPLOADER=dput
DEBCHANGE_RELEASE_HEURISTIC=changelog
DEBCHANGE_MULTIMAINT_MERGE=yes
DEBCHANGE_PRESERVE=yes
DEBUILD_LINTIAN_OPTS="--color always -I"
DEBSIGN_KEYID=0xF2AC729A

-- System Information:
Debian Release: wheezy/sid
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'proposed-updates'), (500, 'unstable'), (500, 'testing'), (500, 'stable'), (150, 'experimental')
Architecture: i386 (x86_64)

Kernel: Linux 3.0.0-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.utf8, LC_CTYPE=fr_FR.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

ii  dpkg-dev   1.16.1~32.gbp115cb4
ii  libc6      2.13-18            
ii  perl       5.12.4-4           
ii  python     2.6.7-3            
ii  python2.6  2.6.7-4            
ii  python2.7  2.7.2-5            

Versions of packages devscripts recommends:
ii  at                                   3.1.13-1             
ii  curl                                 7.21.7-1             
ii  dctrl-tools                          2.18                 
ii  debian-keyring [debian-maintainers]  2011.08.07           
ii  dput                                 0.9.6.2              
ii  equivs                               2.0.8                
ii  fakeroot                             1.18-1               
ii  gnupg                                1.4.11-3             
ii  libcrypt-ssleay-perl                 0.57-2+b2            
ii  libjson-perl                         2.53-1               
ii  libparse-debcontrol-perl             2.005-3              
ii  libsoap-lite-perl                    0.714-1              
ii  liburi-perl                          1.59-1               
ii  libwww-perl                          6.02-1               
ii  lintian                              2.5.2                
ii  man-db                               2.6.0.2-2            
ii  patch                                2.6.1-2              
ii  patchutils                           0.3.2-1              
ii  python-debian                        0.1.21               
ii  python-magic                         <none>               
ii  sensible-utils                       0.0.6                
ii  strace                               4.5.20-2.3           
ii  unzip                                6.0-5                
ii  wdiff                                0.6.5-1              
ii  wget                                 1.13-1               
ii  xz-utils                             5.1.1alpha+20110809-2

Versions of packages devscripts suggests:
ii  bsd-mailx [mailx]            8.1.2-0.20100314cvs-1
ii  build-essential              11.5                 
ii  cvs-buildpackage             <none>               
ii  devscripts-el                <none>               
ii  gnuplot                      <none>               
ii  libauthen-sasl-perl          2.1500-1             
ii  libfile-desktopentry-perl    0.04-2               
ii  libnet-smtp-ssl-perl         1.01-3               
ii  libterm-size-perl            <none>               
ii  libtimedate-perl             1.2000-1             
ii  libyaml-syck-perl            1.17-1+b1            
ii  mutt                         1.5.21-5             
ii  openssh-client [ssh-client]  1:5.8p1-7            
ii  svn-buildpackage             0.8.3                
ii  w3m                          0.5.3-3              

-- 
Raphaël Hertzog ◈ Debian Developer

Follow my Debian News ▶ http://RaphaelHertzog.com (English)
                      ▶ http://RaphaelHertzog.fr (Français)
[nautilus-dropbox_0.6.9-1_amd64.changes (text/plain, attachment)]
[nautilus-dropbox_0.6.9-1_i386.changes (text/plain, attachment)]
[nautilus-dropbox_0.6.9-1_multi.changes (text/plain, attachment)]

Changed Bug title to '[mergechanges] checksums end up mixed in with Changes' from 'mergechanges: is adding some checksums to the Changes field' Request was from Adam D. Barratt <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Fri, 09 Sep 2011 20:45:05 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from James Vega <jamessan@debian.org> to control@bugs.debian.org. (Sat, 08 Oct 2011 22:36:03 GMT) Full text and rfc822 format available.

Message sent on to Raphael Hertzog <hertzog@debian.org>:
Bug#640782. (Sat, 08 Oct 2011 22:36:10 GMT) Full text and rfc822 format available.

Message #12 received at 640782-submitter@bugs.debian.org (full text, mbox):

From: James Vega <jamessan@debian.org>
To: 640782-submitter@bugs.debian.org
Subject: Bug#640782 marked as pending
Date: Sat, 08 Oct 2011 22:33:31 +0000
tag 640782 pending
thanks

Hello,

Bug #640782 reported by you has been fixed in the Git repository. You can
see the changelog below, and you can check the diff of the fix at:

    http://git.debian.org/?p=devscripts/devscripts.git;a=commitdiff;h=31e362e

---
commit 31e362e46ccacc1fa0936cf80b1eaf72b45fe2f5
Author: James Vega <jamessan@debian.org>
Date:   Sat Oct 8 18:17:37 2011 -0400

    mergechanges: Use awk to properly process the final output.
    
    Closes: #640782
    Signed-off-by: James Vega <jamessan@debian.org>

diff --git a/debian/changelog b/debian/changelog
index 3100fe7..1f074fe 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -18,6 +18,8 @@ devscripts (2.11.2) UNRELEASED; urgency=low
     for the patch.  (Closes: #641497)
   * debchange: Document that only `$1' backreference replacements are
     supported.  Thanks to Matthijs Kooijman for the patch.  (Closes: #639813)
+  * mergechanges: Use awk instead of sed to handle massaging the final output
+    so we can better control the processing.  (Closes: #640782)
 
   [ Stefano Rivera ]
   * debchange: Add precise as a recognised Ubuntu distro.




Reply sent to James McCoy <jamessan@debian.org>:
You have taken responsibility. (Wed, 16 Nov 2011 03:24:39 GMT) Full text and rfc822 format available.

Notification sent to Raphael Hertzog <hertzog@debian.org>:
Bug acknowledged by developer. (Wed, 16 Nov 2011 03:24:40 GMT) Full text and rfc822 format available.

Message #17 received at 640782-close@bugs.debian.org (full text, mbox):

From: James McCoy <jamessan@debian.org>
To: 640782-close@bugs.debian.org
Subject: Bug#640782: fixed in devscripts 2.11.2
Date: Wed, 16 Nov 2011 03:08:31 +0000
Source: devscripts
Source-Version: 2.11.2

We believe that the bug you reported is fixed in the latest version of
devscripts, which is due to be installed in the Debian FTP archive:

devscripts_2.11.2.dsc
  to main/d/devscripts/devscripts_2.11.2.dsc
devscripts_2.11.2.tar.gz
  to main/d/devscripts/devscripts_2.11.2.tar.gz
devscripts_2.11.2_amd64.deb
  to main/d/devscripts/devscripts_2.11.2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 640782@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
James McCoy <jamessan@debian.org> (supplier of updated devscripts package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 15 Nov 2011 21:36:40 -0500
Source: devscripts
Binary: devscripts
Architecture: source amd64
Version: 2.11.2
Distribution: unstable
Urgency: low
Maintainer: Devscripts Devel Team <pkg-devscripts@teams.debian.net>
Changed-By: James McCoy <jamessan@debian.org>
Description: 
 devscripts - scripts to make the life of a Debian Package maintainer easier
Closes: 376595 509983 515058 599777 625990 631713 638602 639204 639813 640782 641497 641979 644983 646562 647524 647526 647527 648654
Changes: 
 devscripts (2.11.2) unstable; urgency=low
 .
   [ Gerfried Fuchs ]
   * Remove the word "of" from the BSD 3 clause check, it might not be in
     there.
 .
   [ James McCoy ]
   * Remove support for PGP-style commands from debsign/debrsign.  (Closes:
     #639204)
     + DEBSIGN_SIGNLIKE config variable removed
   * Update scripts to use GNU getopt-compatible option parsing. (Closes:
     #641979)
     + For Perl scripts, use Getopt::Long's "gnu_compat" and "bundling" modes.
       When allowed, also use "permute" for full GNU getopt compatibility.
     + For shell scripts, use getopt instead of manual option parsing.
       - Update uses of getopt to show usage when getopt fails.
   * licensecheck:
     + Recognize more generated files, MIT/X11 variants, Microsoft Permissive
       License (Ms-PL), and a libpng variant.  Thanks to Paweł Hajdan, Jr for
       the patches.  (Closes: #641497, #647524, #647526, #647527)
   * debchange: Document that only `$1' backreference replacements are
     supported.  Thanks to Matthijs Kooijman for the patch.  (Closes: #639813)
   * mergechanges: Use awk instead of sed to handle massaging the final output
     so we can better control the processing.  (Closes: #640782)
   * uscan: Fully support lzma and xz tarballs.  Based on a patch from Tanguy
     Ortolo.  (Closes: #631713)
   * debi: Document --multi, --with-depends, and --tool in the man page.
     (Closes: #644983)
   * dd-list:
     + Correctly handle maintainer names which have a comma.  (Closes: #646562)
     + Sort results by full-name instead of trying to parse the names.
       (Closes: #638602)
     + Parse sources files directly instead of invoking apt-cache.  (Closes:
       #376595)
     + Allow specifying which sources files to read.  (Closes: #509983)
   * Remove references to obsolete PGP keyrings in who-uploads/dscverify.
   * who-uploads: Don't check for default keyrings with --no-default-keyrings.
     (Closes: #515058)
 .
   [ Stefano Rivera ]
   * debchange: Add precise as a recognised Ubuntu distro.
 .
   [ David Prévot ]
   * bts: Remove outdated information from documentation for owner command.
     (Closes: #625990)
 .
   [ Steve Langasek ]
   * new script dep3changelog, which parses a DEP3 patch header and feeds a
     suitable changelog entry to dch.  (Closes: #599777)
 .
   [ Michael Prokop ]
   * debcheckout: Use DESTDIR also for debian/ only VCS packages.  (Closes:
     648654)
Checksums-Sha1: 
 8360812e802e5f342bd19391ef80d0eb7899f637 1626 devscripts_2.11.2.dsc
 8e9e930f913ba27b0ae27794b35fcb834e9fcf9c 769865 devscripts_2.11.2.tar.gz
 c3bd3438b8d8d0ecd06a77e3e47656d44cce9685 697928 devscripts_2.11.2_amd64.deb
Checksums-Sha256: 
 f1d38c76cdcc0200adf3ea797a8e39e205c79f61ebd35d12413b1e0c1fbcfe89 1626 devscripts_2.11.2.dsc
 4292c2c384315868357d0d3851f71f48e7b6ddf1ede1ca2d65774165b7397228 769865 devscripts_2.11.2.tar.gz
 de6436b9632a1efa6d98ef3ad1655e4e307bd98e841e8c60ed3b058bdc20d067 697928 devscripts_2.11.2_amd64.deb
Files: 
 84d80b31df1e3726a8d12eb03be33dbd 1626 devel optional devscripts_2.11.2.dsc
 dd5d5219c16cc24c1df56e2081369872 769865 devel optional devscripts_2.11.2.tar.gz
 86a452ca3483c41569d7080842e1ddcc 697928 devel optional devscripts_2.11.2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk7DJyAACgkQDb3UpmEybUALFACdH9ACSgRFquRfqy3A+jll7WsM
hfYAn38Q9UjVx6MrWCqbie6VOXUt2gva
=OdHa
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 24 Dec 2011 07:38:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 23:30:49 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.